Inhalte
Index 🔎︎

# Get Statement

Liest einen Datensatz aus einer relativen Datei oder eine Folge von Bytes aus einer binären Datei in eine Variable ein.

Vergleichen Sie auch: Anweisung PUT

### Syntax:

    Get [#]fileNum, [recordNum|filePos], variable

### Parameter:

fileNum: Any integer expression that determines the file number.

recordNum: For files opened in Random mode, recordNum is the number of the record that you want to read.

For files opened in Binary mode, filePos is the byte position in the file where the reading starts.

If recordNum and filePos are omitted, the current position or the current data record of the file is used.

variable: Name of the variable to be read. With the exception of object variables, you can use any variable type.

### Beispiel:

    Sub ExampleRandomAccess
        Dim iNumber As Integer
        Dim sText As Variant ' Muss variant sein
        Dim aFile As String
        aFile = "c:\data.txt"
        iNumber = Freefile
        Open aFile For Random As #iNumber Len=32
        Seek #iNumber,1 ' Auf Anfang positionieren
        Put #iNumber,, "Das ist die erste Zeile Text" ' Füllt die Zeile mit Text
        Put #iNumber,, "Das ist die 2.Zeile Text"
        Put #iNumber,, "Das ist die 3.Zeile Text"
        Seek #iNumber,2
        Get #iNumber,,sText
        Print sText
        Close #iNumber
        iNumber = Freefile
        Open aFile For Random As #iNumber Len=32
        Get #iNumber,2,sText
        Put #iNumber,,"Das ist ein neuer Text"
        Get #iNumber,1,sText
        Get #iNumber,2,sText
        Put #iNumber,20,"Das ist Text in Datensatz 20"
        Print Lof(#iNumber)
        Close #iNumber
    End Sub

Verwandte Themen

Open Statement

Put# Statement

Close Statement